Subject: FVWM: Q: activate, raise and lower immediately. Why?

From: Raymond Penners <[email-masked]>
Date: 07 Jan 1997 22:36:38 +0100

I am using fvwm 2.0.43 (BETA-0). I think there is something wrong with
`RaiseLower' when used in combination with click-to-focus, or perhaps
it's something I've missed.

Let's say my desktop looks like this:

 +(xconsole)-+        (pardon my ASCII art)
 |           |        (window titles are fictional)
 | +[EMACS]---+
 : |          |
   :          :

Emacs is the active window. Now, if I move to the title bar of
xconsole, and click just once, the following happens (all very fast):
 1) xconsole becomes the active window.
 2) xconsole is raised (thus overlapping emacs)
 3) xconsole is immediately lowered.

IMHO, what should happen is that xconsole becomes active and
raised. Why is it lowered afterwards?

Could someone confirm that this is a bug, or at least an irritating
feature? Any workarounds?

Here are the relevant files from my fvwm2rc:

--8<-----------------------------------------------------------------------
Style "*" ClickToFocus
[...]
Mouse 0 T A move-and-raise-or-raiselower
[...]
DestroyMenu move-and-raise-or-raiselower	
AddToFunc   move-and-raise-or-raiselower	
+ "M" Move
+ "M" Raise
+ "C" RaiseLower
[...]
--8<-----------------------------------------------------------------------

-- 
Raymond Penners -*- [email-masked] -*- http://www.stack.nl/~raymondp
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].